des.h File Reference

Classes for DES, 2-key Triple-DES, 3-key Triple-DES and DESX. More...

Go to the source code of this file.

## Classes

class | RawDES
| DES block cipher base class. More...
struct | DES_Info
| DES block cipher information. More...
class | DES
| DES block cipher. More...
struct | DES_EDE2_Info
| 2-key TripleDES block cipher information More...
class | DES_EDE2
| 2-key TripleDES block cipher More...
struct | DES_EDE3_Info
| 3-key TripleDES block cipher information More...
class | DES_EDE3
| 3-key TripleDES block cipher More...
struct | DES_XEX3_Info
| DESX block cipher information. More...
class | DES_XEX3
| DESX block cipher. More...

## Typedefs

typedef DES::Encryption | DESEncryption
typedef DES::Decryption | DESDecryption
typedef DES_EDE2::Encryption | DES_EDE2_Encryption
typedef DES_EDE2::Decryption | DES_EDE2_Decryption
typedef DES_EDE3::Encryption | DES_EDE3_Encryption
typedef DES_EDE3::Decryption | DES_EDE3_Decryption
typedef DES_XEX3::Encryption | DES_XEX3_Encryption
typedef DES_XEX3::Decryption | DES_XEX3_Decryption

## Detailed Description

Classes for DES, 2-key Triple-DES, 3-key Triple-DES and DESX.

Definition in file des.h.